Subject: Re: linux-next: build failure after merge of the v4l-dvb tree

From: Mauro Carvalho Chehab <[email-masked]>
Date: Tue, 15 Jul 2014 15:08:01 -0300

Hi Guenter,

Em Tue, 15 Jul 2014 15:55:47 +1000
Stephen Rothwell <[email-masked]> escreveu:

> Hi Guenter,
> 
> On Mon, 14 Jul 2014 22:43:42 -0700 Guenter Roeck <[email-masked]> wrote:
> >
> > On 07/14/2014 08:29 PM, Stephen Rothwell wrote:
> > >
> > > After merging the v4l-dvb tree, today's linux-next build (powerpc ppc64_defconfig)
> > > failed like this:
> > >
> > > arch/powerpc/kernel/smp.c:764:2: error: initialization from incompatible pointer type [-Werror]
> > >    { cpu_smt_mask, powerpc_smt_flags, SD_INIT_NAME(SMT) },
> > >    ^
> > > arch/powerpc/kernel/smp.c:764:2: error: (near initialization for 'powerpc_topology[0].sd_flags') [-Werror]
> > >
> > > Caused by commit 6a0b50087a89 ("Merge branch 'patchwork' into
> > > to_next").  The change to include/linux/sched.h in this merge commit
> > > does not seem to appear in either of the parents of the merge.
> > >
> > > Its also a change that (when suggested) was shown to cause more
> > > problems than it was worth and dropped.  I can't imagine how it ended
> > > up in the merge commit.
> > >

Sorry, it was merged there by mistake. I had to apply that quick hack
to be able check if everything was ok on my tree before pushing it
upstream (as I do my tests with W=1). Without that hack, it is almost
impossible to see anything at the compilation logs, as it generates
hundreds of warnings like:

In file included from include/linux/i2c.h:31:0,
                 from drivers/staging/media/go7007/go7007-fw.c:31:
include/linux/sched.h:875:25: warning: type qualifiers ignored on function return type [-Wignored-qualifiers]
 static inline const int cpu_smt_flags(void)
                         ^
include/linux/sched.h:882:25: warning: type qualifiers ignored on function return type [-Wignored-qualifiers]
 static inline const int cpu_core_flags(void)
                         ^
include/linux/sched.h:1002:21: warning: type qualifiers ignored on function return type [-Wignored-qualifiers]
 typedef const int (*sched_domain_flags_f)(void);
                     ^

even when compiling just drivers/media and drivers/staging/media.

> > 
> > Do you mean b6220ad66 (sched: Fix compiler warnings) ? I thought that was accepted
> > a week or so ago.
> 
> That is in the tip tree and includes the fixups to powerpc and arm.  I
> don't merge the tip tree till well after the v4l-dvb tree.  The merge
> in the v4l-dvb tree included only the change to include/linus/sched.h
> and neither parent fo that merge was based on the tip tree ...
> 
Stephen, 

Do you know if/when this patch will be merged upstream? It doesn't
seem to be at 2.6.16-rc5. Otherwise, I'll likely cherry-pick it on
my trees, as the lack of this fixup is making hard for me to check
if a media tree patch isn't introducing new warnings.

Thanks,
Mauro